Bug 32133 - configure tags missing from libtiff/Makefile.in
Summary: configure tags missing from libtiff/Makefile.in
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: libtiff   
(Show other bugs)
Version: 6.2
Hardware: i586
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Phil Knirsch
QA Contact:
URL: ftp://redhat/redhat-6.2/SRPMS/SRPMS/l...
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-03-18 18:13 UTC by Need Real Name
Modified: 2015-03-05 01:09 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-03-19 17:11:53 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Need Real Name 2001-03-18 18:13:49 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.72 [en] (X11; U; Linux 2.2.14-5.0 i586; Nav)


Line 155 of libtiff/Makefile.in doesn't have configure tags, so gcc isn't
told of the library locations when building the shared object.  No
environment options either...

Reproducible: Always
Steps to Reproduce:
1. Install RPM, untar source, apply all v3.5* patches (shlib before
codecs.)
2. FWIW I edited config.site to specify the DIR_JPEGLIB and DIR_GZLIB
correctly.
3. Enter make...
	

Actual Results:  make compiles most of the way, then aborts when trying to
build libtiff.so.3.5.

Expected Results:  make completes successfully.

The failing command:
...
gcc -o libtiff.so.3.5 -Wl,-soname,libtiff.so.3 -shared tif_aux.so
tif_close.so tif_codec.so tif_compress.so tif_dir.so tif_dirinfo.so
tif_dirread.so tif_dirwrite.so tif_dumpmode.so tif_error.so tif_fax3.so
tif_fax3sm.so tif_getimage.so tif_jpeg.so tif_flush.so tif_luv.so
tif_lzw.so tif_next.so tif_open.so tif_packbits.so tif_pixarlog.so
tif_predict.so tif_print.so tif_read.so tif_swab.so tif_strip.so
tif_thunder.so tif_tile.so tif_unix.so tif_version.so tif_warning.so
tif_write.so tif_zip.so  -ljpeg -lz
/usr/bin/ld: cannot find -ljpeg
collect2: ld returned 1 exit status
make[1]: *** [libtiff.so.3.5] Error 1
make[1]: Leaving directory `/usr/src/tiff-v3.5.4/libtiff'
make: *** [all] Error 2
# 

The line is modified by libtiff-v3.5.4-codecs.patch.  Replacing '-ljpeg
-lz' with '@LIBJPEG@ @LIBGZ@'  cures it, but what about the choice of
compiler?

Greg

Comment 1 Phil Knirsch 2001-08-23 10:30:22 UTC
In works fine with the 3.5.5 version available in newer RPMS.

Remember that you need to rebuild a rpm by doing a

rpm --rebuild libtiff-3.5.5-12.src.rpm

Doing things by hand might require additional steps which are usually described
in the INSTALL file of the appropriate package.

Read ya, Phil


Note You need to log in before you can comment on or make changes to this bug.